Bug 196514 - Disassembly does not work with MinGW
Disassembly does not work with MinGW
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0
PC Windows XP x64
: P1 (vote)
: 7.0
Assigned To: Egor Ushakov
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 17:32 UTC by leagurb
Modified: 2011-11-16 16:39 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
GDB log from debugging console (27.33 KB, application/octet-stream)
2011-03-16 17:21 UTC, leagurb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description leagurb 2011-03-09 17:32:23 UTC
Product Version = NetBeans IDE Dev (Build nbms-and-javadoc-6747-on-110228)
Operating System = Windows XP version 5.2 running on amd64
Java; VM; Vendor = 1.6.0_23
Runtime = Java HotSpot(TM) 64-Bit Server VM 19.0-b09

The process described works with NetBeans 6.9.1.
Built a DLL for use with another application.  Started that application.  Attached the debugger to the other application process.  Get dumped into a window called Dissassembly(strchr).  Other application is hung and NetBeans won't continue.
Comment 1 Egor Ushakov 2011-03-16 13:57:06 UTC
please attach gdb log (http://wiki.netbeans.org/GdbLog)
Comment 2 Leonid Lenyashin 2011-03-16 13:58:42 UTC
Should it be INCOMPLETE P2? No point in keeping it TBD.
Comment 3 Egor Ushakov 2011-03-16 14:03:47 UTC
agree, please reopen with gdb log
Comment 4 leagurb 2011-03-16 17:21:51 UTC
Created attachment 107058 [details]
GDB log from debugging console
Comment 5 Egor Ushakov 2011-03-16 17:28:29 UTC
I can see that it has attached correctly, there was a change in 7.0 that debugger does not continue automatically after attach. Have you tried manual "continue" (F5)?
Comment 6 Egor Ushakov 2011-03-17 14:58:34 UTC
is it cygwin of mingw?
Comment 7 Egor Ushakov 2011-03-17 14:59:23 UTC
MinGW, I've found it in the log
Comment 8 Egor Ushakov 2011-03-17 15:01:31 UTC
error window:
mi_cmd_disassemble: Invalid filename.
appears on every step in disassembly.
Comment 9 Egor Ushakov 2011-03-17 15:26:07 UTC
fixed in trunk:
http://hg.netbeans.org/cnd-main/rev/2cf8e121bfef
Comment 10 Quality Engineering 2011-03-18 09:48:32 UTC
Integrated into 'main-golden', will be available in build *201103180400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2cf8e121bfef
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #196514 (Disassembly does not work with MinGW)
Comment 11 Alexander Pepin 2011-03-18 17:13:27 UTC
The fix is verified in dev build 20110318. Please review the fix and push it into release70 branch.
Comment 12 Egor Ushakov 2011-03-21 14:16:20 UTC
integrated into release70:
http://hg.netbeans.org/releases/rev/409526b481f2
Comment 13 Alexander Pepin 2011-03-22 13:41:04 UTC
verified in RC1 build 20110322


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo